## gwenview 18.12.3

=== debian/changelog ===
gwenview (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:09 +0000

gwenview (4:18.12.2-0ubuntu1) disco; urgency=medium

  * Update lintian-overrides.
  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:35 +0000

gwenview (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:04 +0000

gwenview (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:43 +0000

gwenview (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Keep our lintian-overrides.
    - d/patches: Disable tests that always fail on Ubuntu infra.
    - d/tests: Keep our test setup.
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 13:52:31 +0000

gwenview (4:18.04.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild against libcfitsio7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Nov 2018 00:38:13 +0000
