=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.31.0~),
               cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kdcraw-dev (>= 18.12.3~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kipi-dev (>= 4:18.12.3~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               liblcms2-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev (>= 4.9.1),
               libpng-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/gwenview

Package: gwenview
Section: graphics
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt5-image-formats-plugins
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.
