## gwenview 19.04.3

=== debian/changelog ===
gwenview (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against libcfitsio8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Aug 2019 05:49:40 +0000

gwenview (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:50 +0100

gwenview (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:59:53 +0100

gwenview (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:52 +0100

gwenview (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:15 +0100
