=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.31.0~),
                cmake (>= 2.8.12),
@@ -16,9 +17,9 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5kdcraw-dev (>= 18.12.3~),
+               libkf5kdcraw-dev (>= 19.04.3~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 4:18.12.3~),
+               libkf5kipi-dev (>= 4:19.04.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5parts-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
