## gwenview 19.12.0

=== debian/changelog ===
gwenview (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jan 2020 15:49:14 +0100

gwenview (4:19.08.1-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the build dependencies:
    - add libkf5purpose-dev to enable the integration with Purpose
    - explicitly add gettext
  * Use the ${perl:Depends} substvar, as there are Perl scripts.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2019 19:04:17 +0200

gwenview (4:19.08.1-2) unstable; urgency=medium

  * New revision
  * Allow testsuite stderr
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Sep 2019 14:50:17 -0700

gwenview (4:19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Drop dbg migration
  * Update build-deps and deps with the info from cmake
  * Add a salsa-ci script
  * Drop kde-l10n breaks/replaces, fixed versions already in stable
  * Build with hardening bindnow
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Sep 2019 12:00:08 -0700
