=== debian/changelog ===
gwenview (4:19.12.3-0ubuntu2) focal; urgency=medium

  * Add upstream_use-correct-kipi-plugins-appstream.patch
    (LP: #1865266)

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Mar 2020 13:00:57 +0100

gwenview (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:05:11 +0000

gwenview (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:44 +0000

gwenview (4:19.12.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild for exiv2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 20:21:06 +0100

gwenview (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:38 +0000
