=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                libkf5i18n-dev (>= 5.43.0~),
                libkf5iconthemes-dev (>= 5.43.0~),
                libkf5itemmodels-dev (>= 5.43.0~),
-               libkf5kdcraw-dev,
+               libkf5kdcraw-dev (>= 19.12.3~),
                libkf5kio-dev (>= 5.43.0~),
-               libkf5kipi-dev,
+               libkf5kipi-dev (>= 4:19.12.3~),
                libkf5notifications-dev (>= 5.43.0~),
                libkf5parts-dev (>= 5.43.0~),
                libkf5purpose-dev (>= 5.43.0~),
