## gwenview 19.12.3-0ubuntu2+10.0trisquel1

=== debian/changelog ===
gwenview (4:19.12.3-0ubuntu2+10.0trisquel1) nabia; urgency=medium

  * Fixes LP#1941752

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 30 Dec 2021 22:15:32 +0000
