## gwenview 20.08.2

=== debian/changelog ===
gwenview (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:22 +0100

gwenview (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:41:11 +0200

gwenview (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.61.0
    - add libtiff-dev
  * Update lintian overrides.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 23:12:32 +0200

gwenview (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - remove qtscript5-dev, no more needed
    - enable baloo-kf5-dev for any architecture, not only on Linux
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Apr 2020 14:11:26 +0200
