## gwenview 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required (VERSION 3.0 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-
-project(gwenview VERSION ${KDE_APPLICATIONS_VERSION})
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(gwenview VERSION ${RELEASE_SERVICE_VERSION})
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
 
-set (QT_MIN_VERSION "5.9.0")
-set (KF5_MIN_VERSION "5.43.0")
+set (QT_MIN_VERSION "5.11.0")
+set (KF5_MIN_VERSION "5.61.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -28,9 +28,9 @@
 include(ECMAddAppIcon)
 include(GenerateExportHeader)
 include(FeatureSummary)
-
+include(ECMQtDeclareLoggingCategory)
 ## Generate header with version number
-ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+ecm_setup_version(${RELEASE_SERVICE_VERSION}
                   VARIABLE_PREFIX GWENVIEW
                   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/lib/gwenview_version.h"
 )
@@ -51,7 +51,7 @@
     set(GWENVIEW_SEMANTICINFO_BACKEND_BALOO ON)
 endif()
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg OpenGL PrintSupport)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Concurrent Svg PrintSupport)
 find_package(Qt5DBus ${QT_MIN_VERSION} CONFIG QUIET)
 set(HAVE_QTDBUS ${Qt5DBus_FOUND})
 
@@ -88,12 +88,22 @@
 set_package_properties(PNG PROPERTIES URL "http://www.libpng.org" DESCRIPTION "PNG image manipulation support" TYPE REQUIRED)
 
 find_package(Exiv2)
-set_package_properties(Exiv2 PROPERTIES URL "http://www.exiv2.org" DESCRIPTION "image metadata support" TYPE REQUIRED)
+set_package_properties(Exiv2 PROPERTIES URL "https://www.exiv2.org" DESCRIPTION "image metadata support" TYPE REQUIRED)
 
 find_package(CFitsio)
-set_package_properties(CFitsio PROPERTIES URL "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" DESCRIPTION "FITS format support" TYPE OPTIONAL)
+set_package_properties(CFitsio PROPERTIES URL "https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" DESCRIPTION "FITS format support" TYPE OPTIONAL)
 if(CFITSIO_FOUND)
     set(HAVE_FITS true)
+endif()
+
+find_package(TIFF)
+set_package_properties(TIFF PROPERTIES DESCRIPTION "Library for reading TIFF files"
+                       URL "http://www.libtiff.org/"
+                       TYPE OPTIONAL
+                       PURPOSE "Disable uninteresting log messages from libtiff by default"
+                       )
+if (TIFF_FOUND)
+    set(HAVE_TIFF true)
 endif()
 
 find_package(KF5Kipi)
@@ -194,7 +204,7 @@
 add_subdirectory(color-schemes)
 add_subdirectory(doc)
 add_subdirectory(kconf_update)
-
+install(FILES gwenview.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)
