=== images/CMakeLists.txt ===
install(FILES background.png
    DESTINATION ${KDE_INSTALL_DATADIR}/gwenview/images/
    )
