=== kconf_update/CMakeLists.txt ===
install(FILES gwenview.upd
    DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS gwenview-imageview-alphabackgroundmode-update.pl
    DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
