=== debian/changelog ===
gwenview (4:20.12.3-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for lost exif data (Closes: #987063)
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Sat, 17 Apr 2021 12:49:03 +0900

gwenview (4:20.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update upstream release signing key.
  * New upstream release (20.12.3).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 21:52:12 +0100

gwenview (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 22:43:18 +0100

gwenview (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Rename maintainer.
  * Bump Standards-Version to 4.5.1 (no change required).
  * Update/simplify information in d/copyright and d/u/metadata.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Dec 2020 09:59:53 +0900

gwenview (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Nov 2020 23:20:20 +0100

gwenview (4:20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Refresh copyright information: project metadata is CC0.
  * Add patch to fix incorrect-path-for-interpreter as per policy §10.4.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 00:00:03 +0100
