=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: gwenview
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: baloo-kf5-dev (>= 5.13),
                cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -17,9 +19,9 @@
                libkf5i18n-dev (>= 5.61.0~),
                libkf5iconthemes-dev (>= 5.61.0~),
                libkf5itemmodels-dev (>= 5.61.0~),
-               libkf5kdcraw-dev (>= 20.08.1~),
+               libkf5kdcraw-dev,
                libkf5kio-dev (>= 5.61.0~),
-               libkf5kipi-dev (>= 4:20.08.1~),
+               libkf5kipi-dev,
                libkf5notifications-dev (>= 5.61.0~),
                libkf5parts-dev (>= 5.61.0~),
                libkf5purpose-dev (>= 5.61.0~),
@@ -36,7 +38,7 @@
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.11.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/gwenview
